Jump to content


Photo

Weapon Set Instalation Issues


  • Please log in to reply
12 replies to this topic

#1 John Faust

John Faust

    Sergeant

  • Forum Members
  • PipPipPip
  • 77 posts

Posted 28 June 2006 - 06:19 PM

I'm having trouble getting weapon sets to work, spicificly, the ufo2000 update by sporb, the realweapons, by Anonymous,and the aurora set. current version of game is 7.1050.
I thought I'd pretend I was one of those deaf mutes, or should I?

#2 Kratos

Kratos

    UFO2000 Staff

  • Moderators
  • PipPipPipPipPip
  • 4,113 posts

Posted 28 June 2006 - 06:29 PM

spicificly, the ufo2000 update by sporb

Delete and replace with the updated version.

the realweapons, by Anonymous

I'm not entirely sure if this set was ready to be published for this beta just yet.

and the aurora set. current version of game is 7.1050.

Aurora is the full version of Galactic, so delete and replace. Their similarities in names will cause problems.

-----
In all, this could be a result in the way sounds are handled now. Not 100% positive how you are not able to implement them. Be sure their directories read:

extensions/weapons-aurora
extensions/weaopns-ufo2000
etc.

#3 John Faust

John Faust

    Sergeant

  • Forum Members
  • PipPipPip
  • 77 posts

Posted 28 June 2006 - 07:39 PM

Aurora works now, but no luck with the update.
I thought I'd pretend I was one of those deaf mutes, or should I?

#4 John Faust

John Faust

    Sergeant

  • Forum Members
  • PipPipPip
  • 77 posts

Posted 28 June 2006 - 07:40 PM

whoops, forgot to add that it isn't reading the old version of the Ufo2000 set
I thought I'd pretend I was one of those deaf mutes, or should I?

#5 Kratos

Kratos

    UFO2000 Staff

  • Moderators
  • PipPipPipPipPip
  • 4,113 posts

Posted 28 June 2006 - 08:41 PM

Does it work on a fresh install of ufo2000 beta? Mine works.

If you are copy pasting and replacing without deleting first, don't. If you do, windows will not delete and replace everything properly. You must delete the old, then place the new afterwards.

#6 John Faust

John Faust

    Sergeant

  • Forum Members
  • PipPipPip
  • 77 posts

Posted 28 June 2006 - 09:38 PM

nope, but thanks for the info, I didn't know about the cpoy/paste effect. Aurora still works though. could the compressed version have anything to do with it?
I thought I'd pretend I was one of those deaf mutes, or should I?

#7 Kratos

Kratos

    UFO2000 Staff

  • Moderators
  • PipPipPipPipPip
  • 4,113 posts

Posted 28 June 2006 - 09:41 PM

Compression shouldn't be a problem here.

I guess my main question here which I should have asked from the start, where did you download sporb's ufo2000 set update?

#8 Sporb

Sporb

    UFO2000 Staff

  • Moderators
  • PipPipPipPip
  • 739 posts

Posted 28 June 2006 - 10:05 PM

the ufo2k weaponset update has a problem - it only appeared in the latest betas so i havent fixed it yet (Not even sure what im looking for)

#9 John Faust

John Faust

    Sergeant

  • Forum Members
  • PipPipPip
  • 77 posts

Posted 28 June 2006 - 11:49 PM

Another discovery, items from the weaponsets show up in the trash 1 weapon set. Not all of the items, but a few. Thank you for spending your time on this. It's rather nice not having to go through Mephisophecles for such service.
I thought I'd pretend I was one of those deaf mutes, or should I?

#10 John Faust

John Faust

    Sergeant

  • Forum Members
  • PipPipPip
  • 77 posts

Posted 28 June 2006 - 11:56 PM

downloaded from this website
I thought I'd pretend I was one of those deaf mutes, or should I?

#11 John Faust

John Faust

    Sergeant

  • Forum Members
  • PipPipPip
  • 77 posts

Posted 29 June 2006 - 01:41 AM

Using beta 1.031 it works. Thank you.
I thought I'd pretend I was one of those deaf mutes, or should I?

#12 Exo2000

Exo2000

    Colonel

  • Moderators
  • PipPipPipPipPip
  • 1,009 posts

Posted 01 July 2006 - 06:05 AM

Two words. EDIT BUTTON.

Oh, and also, Trash #1 is where 'illegal' weapons, etc. go - ie, ones that are broken somehow, incorrectly coded and so-on. :)
Posted Image

#13 Serge

Serge

    Project Leader: UFO 2000

  • Xenocide Programming Department
  • 785 posts

Posted 01 July 2006 - 09:11 AM

As for compatibility of the latest beta with weapon sets, please check messages in 'init-scripts.log'. It should describe what's wrong.

Most likely it is just inconsistent naming of files problem, the files should have names in *.lua files in exactly the same case as they are stored on disk. Such restriction was introduced in order to ensure unix/linux compatibility.
ufo2000 development team
http://ufo2000.sourceforge.net